AWS Amplify API
AWS Amplify Home
Options
All

- Public
- Public/Protected
- All

Inherited Externals Only exported
Menu

### Hierarchy

- AbstractXRProvider
  - SumerianProvider

### Implements

- any

## Index

### Constructors

- constructor

### Accessors

- options

### Methods

- configure
- enableAudio
- enterVR
- exitVR
- getCategory
- getProviderName
- getSceneController
- isMuted
- isSceneLoaded
- isVRCapable
- isVRPresentationActive
- loadScene
- onSceneEvent
- setMuted
- start

## Constructors

### constructor

- new SumerianProvider(options?: ProviderOptions): SumerianProvider

- Overrides AbstractXRProvider.constructor

  - Defined in xr/src/Providers/SumerianProvider.ts:31

  #### Parameters

  - ##### Default value options: ProviderOptions = {}

  #### Returns SumerianProvider

## Accessors

### Protected options

options:

Inherited from AbstractXRProvider.options

- Defined in xr/src/Providers/XRProvider.ts:38

## Methods

### configure

- configure(config?: ProviderOptions): ProviderOptions

- Inherited from AbstractXRProvider.configure

  - Defined in xr/src/Providers/XRProvider.ts:26

  #### Parameters

  - ##### Default value config: ProviderOptions = {}

  #### Returns ProviderOptions

### enableAudio

- enableAudio(sceneName: string): void

- Overrides AbstractXRProvider.enableAudio

  - Defined in xr/src/Providers/SumerianProvider.ts:278

  #### Parameters

  - ##### sceneName: string

  #### Returns void

### enterVR

- enterVR(sceneName: string): void

- Overrides AbstractXRProvider.enterVR

  - Defined in xr/src/Providers/SumerianProvider.ts:253

  #### Parameters

  - ##### sceneName: string

  #### Returns void

### exitVR

- exitVR(sceneName: string): void

- Overrides AbstractXRProvider.exitVR

  - Defined in xr/src/Providers/SumerianProvider.ts:258

  #### Parameters

  - ##### sceneName: string

  #### Returns void

### getCategory

- getCategory(): string

- Inherited from AbstractXRProvider.getCategory

  - Defined in xr/src/Providers/XRProvider.ts:34

  #### Returns string

### getProviderName

- getProviderName(): string

- Overrides AbstractXRProvider.getProviderName

  - Defined in xr/src/Providers/SumerianProvider.ts:36

  #### Returns string

### getSceneController

- getSceneController(sceneName: string): any

- Overrides AbstractXRProvider.getSceneController

  - Defined in xr/src/Providers/SumerianProvider.ts:214

  #### Parameters

  - ##### sceneName: string

  #### Returns any

### isMuted

- isMuted(sceneName: string): boolean

- Overrides AbstractXRProvider.isMuted

  - Defined in xr/src/Providers/SumerianProvider.ts:263

  #### Parameters

  - ##### sceneName: string

  #### Returns boolean

### isSceneLoaded

- isSceneLoaded(sceneName: string): any

- Overrides AbstractXRProvider.isSceneLoaded

  - Defined in xr/src/Providers/SumerianProvider.ts:187

  #### Parameters

  - ##### sceneName: string

  #### Returns any

### isVRCapable

- isVRCapable(sceneName: string): boolean

- Overrides AbstractXRProvider.isVRCapable

  - Defined in xr/src/Providers/SumerianProvider.ts:238

  #### Parameters

  - ##### sceneName: string

  #### Returns boolean

### isVRPresentationActive

- isVRPresentationActive(sceneName: string): boolean

- Overrides AbstractXRProvider.isVRPresentationActive

  - Defined in xr/src/Providers/SumerianProvider.ts:243

  #### Parameters

  - ##### sceneName: string

  #### Returns boolean

### loadScene

- loadScene(sceneName: string, domElementId: string, sceneOptions: SumerianSceneOptions): Promise<void>

- Overrides AbstractXRProvider.loadScene

  - Defined in xr/src/Providers/SumerianProvider.ts:55

  #### Parameters

  - ##### sceneName: string

  - ##### domElementId: string

  - ##### sceneOptions: SumerianSceneOptions

  #### Returns Promise<void>

### onSceneEvent

- onSceneEvent(sceneName: string, eventName: string, eventHandler: Function): void

- Overrides AbstractXRProvider.onSceneEvent

  - Defined in xr/src/Providers/SumerianProvider.ts:273

  #### Parameters

  - ##### sceneName: string

  - ##### eventName: string

  - ##### eventHandler: Function

  #### Returns void

### setMuted

- setMuted(sceneName: string, muted: boolean): void

- Overrides AbstractXRProvider.setMuted

  - Defined in xr/src/Providers/SumerianProvider.ts:268

  #### Parameters

  - ##### sceneName: string

  - ##### muted: boolean

  #### Returns void

### start

- start(sceneName: string): void

- Overrides AbstractXRProvider.start

  - Defined in xr/src/Providers/SumerianProvider.ts:248

  #### Parameters

  - ##### sceneName: string

  #### Returns void